Anonymous Login
2019-12-06 18:17 PST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001327v3.0 Release[All Projects] Generalpublic2013-08-28 11:17
Reporteropto 
Assigned Tocaseydk 
PrioritynormalSeveritymajorReproducibilityhave not tried
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version3.0.0 
Summary0001327: problem in task/load or in pre store hook
DescriptionCTask->load returns times in system TZ
CTask->store changes times from a presumed user TZ to system TZ (in the pre hook).

thus
CTask->load
CTask->store: now all times are changed by the hook - see projectdesigner bug 1321.

if I do not change the CTask object, any number of stores must preserve the times that were loaded.

Klaus
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0002919

caseydk (administrator)

Good catch. I shifted it from the preStore hook over to the bind() which is only used in the Task controller. Fix here:
https://github.com/web2project/web2project/commit/8920da055532bc3ac41120c9efe8f19d0399151e
+Notes

-Issue History
Date Modified Username Field Change
2013-06-01 12:33 opto New Issue
2013-06-01 21:42 caseydk Note Added: 0002919
2013-06-01 21:42 caseydk Status new => resolved
2013-06-01 21:42 caseydk Resolution open => fixed
2013-06-01 21:42 caseydk Assigned To => caseydk
2013-08-28 11:14 caseydk Fixed in Version => 3.0.0
2013-08-28 11:17 caseydk Status resolved => closed
+Issue History